IRC/d paket gereksinimleri(bash)

Aytac

Developer
Yönetici
Developer
Katılım
4 Şub 2020
Mesajlar
372
Tepkime puanı
17
Puanları
18
Konum
ircland
Web sitesi
www.ircalem.net
Anlatım: BehroozWolf

Merhaba,

Yeni bir makina kurduğunuz da bir çok paketi extra yüklemeniz gerekiyor. Örneğin; anope ya da inspircd için paketler yüklemeniz gerekiyor. Ben bunu bir betik haline getirerek tek komutta ihtiyac duyulabilecek yazılımların kurulabilmesini sağladım. Bu betiği sizlerle paylaşıyorum, olur da kullanmak isteyenler olursa diye .

Kod:
function guncelle {
    yum -y update
    echo "Sistem guncellendi."
    sleep 1
}

function gereksinimler {
    guncelle
    yum install epel-release
    yum groupinstall 'Development Tools'
    yum install -y python python-twisted python-twisted-core nmap nano tre tre-devel
    yum install -y python-twisted-words python-twisted-web python-zope-interface openjdk-6 mercurial
    yum install -y cmake perl-Crypt-SSLeay perl-IO-Socket-SSL gettext mcrypt git libpcre3 libpcre3-dev libssl-dev 
    yum install -y pcre pcre-devel nodejs tcl-devel java tcl tcl-devel ruby rubygems nodejs openssl-devel python-pip GeoIP GeoIP-devel
	curl --silent --******** https://rpm.nodesource.com/setup | bash -
	yum -y install nodejs compat-libstdc++-296.i686
	npm install -g bower
	curl -sS https://getcomposer.org/installer | php
	mv composer.phar /usr/local/bin/composer
	cd /usr/bin/
	ln -s nano pico
	clear
    echo "Gerekli yazilimlar yuklendi."
}

Kurulum boş bir dosya açıp yukarıda ki kodları içine copy/paste yapmanız yeterlidir. Daha sonra dosyaya gerekli izinleri vererek çalıştırmanız yeterlidir.

Kod:
chmod +x dosya && ./dosya
 
Üst